#!/bin/sh -x
. ./env.sh

# Add JDBC Drivers to the path
#$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE --host $JAS_HOST --port $ADMIN_PORT set server.java-config.classpath-prefix="${JDBC_CLASSPATH}"

$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE create-jvm-options \\-DAllowManagedFieldsInDefaultFetchGroup=true

$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE delete-jvm-options \\-Xmx512m
$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE create-jvm-options \\-Xmx4800m
#$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE create-jvm-options \\-Xss128K
#$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE create-jvm-options \\-Xmn1024m
$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE create-jvm-options \\-Xms4800m
$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE create-jvm-options \\-XX\\:\\+DisableExplicitGC
$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE create-jvm-options \\-XX\\:\\+UseParallelOldGC
$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE create-jvm-options \\-XX\\:\\+AggressiveOpts
$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE create-jvm-options \\-XX\\:\\+UseLargePages
$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE create-jvm-options \\-XX\\:\\LargePageSizeInBytes=2m
$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE create-jvm-options \\-XX\\:\\ParallelGCThreads=4
#$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE create-jvm-options \\-XX\\:\\+UseCompressedOops
$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE create-jvm-options \\-XX\\:\\+UseStringCache
#$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE create-jvm-options \\-XX\\:\\NewRatio=2
$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE create-jvm-options \\-XX\\:\\CompileThreshold=1000
#$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE create-jvm-options \\-XX\\:\\+UseFastAccessorMethods
#$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE create-jvm-options \\-server
#$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE create-jvm-options \\-XX\\:\\+AggressiveHeap
#$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE create-jvm-options \\-XX\\:\\+OptimizeStringConcat

$J2EE_HOME/bin/asadmin stop-domain $DOMAIN
$J2EE_HOME/bin/asadmin --user $ADMIN_USER --passwordfile $PASSFILE start-domain $DOMAIN

